require "Sound"
 
local WipeIncMoralizer = {} 
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function WipeIncMoralizer:new(o)
	o = o or {}
	setmetatable(o, self)
	self.__index = self 

	return o
end

function WipeIncMoralizer:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
	}
	Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- WipeIncMoralizer OnLoad
-----------------------------------------------------------------------------------------------
function WipeIncMoralizer:OnLoad()
	self.TheSound = "KodlakSpreadsLUV.wav"
	Apollo.RegisterEventHandler("CombatLogDeath", "OnDeath", self)
end

---------------------
-- EVENT FUNCTIONS --
---------------------
function WipeIncMoralizer:OnDeath(tUnits)
	for _, unit in pairs(tUnits) do
		if unit:GetId() == GameLib.GetPlayerUnit():GetId() then
			Sound.PlayFile(self.TheSound)
		end
	end
end
----------------------
-- /EVENT FUNCTIONS --
----------------------

-----------------------------------------------------------------------------------------------
-- WipeIncMoralizer Instance
-----------------------------------------------------------------------------------------------
local WipeIncMoralizerInst = WipeIncMoralizer:new()
WipeIncMoralizerInst:Init()